package cn.x47.ltw;

import org.aspectj.lang.ProceedingJoinPoint;
import org.aspectj.lang.annotation.Around;
import org.aspectj.lang.annotation.Aspect;
import org.aspectj.lang.annotation.Pointcut;

/**
 * @author xuwei
 */
@Aspect
public class ProfilingAspect {

    @Pointcut("execution(public * com.alibaba.fastjson.JSON.toJSONString(java.lang.Object))")
    public void p2() {
    }

    @Around("p2()")
    public Object profile2(ProceedingJoinPoint pjp) throws Throwable {
        System.out.println("A2");
        Object proceed = pjp.proceed();
        System.out.println(proceed);
        System.out.println("q2");
        return proceed;
    }
}