package cn.x47.ltw.springboot.aop;

import org.aspectj.lang.ProceedingJoinPoint;
import org.aspectj.lang.annotation.Around;
import org.aspectj.lang.annotation.Aspect;

/**
 * @author xuwei
 */
@Aspect
public class TestAspect {

    @Around("execution(* com.alibaba.fastjson..*.*(..))")
    public String parse2String(ProceedingJoinPoint join) {
        System.out.println("parse to String before");
        String str = "";
        try {
            str = (String) join.proceed();
            System.out.println("result:" + str);
        } catch (Throwable e) {
            e.printStackTrace();
        }
        System.out.println("parse to String after");
        return str;
    }

}
