# LoadTimeWeaving-demo

LTW(LoadTimeWeaving)技术实现AOP功能



### 普通Maven 项目使用LTW

参考了：
https://www.eclipse.org/aspectj/doc/released/devguide/ltw-configuration.html

执行步骤：

1. mvn clean package，得到jar包：java-aspectj-agent-1.0.jar

2. 把aspectjweaver-1.8.2.jar（maven仓库里有）拷贝到和本jar包同路径下

3. cmd下执行：

   ```
   java -javaagent:aspectjweaver-1.9.6.jar  -jar  .\java-aspectj-agent\target\java-aspectj-agent-1.0-jar-with-dependencies.jar
   ```

   



### springboot 项目使用LTW

1. mvn clean package，得到jar包：java-aspectj-agent-1.0.jar
2. 把aspectjweaver-1.8.2.jar（maven仓库里有）拷贝到和本jar包同路径下
3. cmd下执行：

```
java  -javaagent:aspectjweaver-1.9.6.jar  -jar .\springboot-aspectj-agent\target\springboot-aspectj-agent-1.0.jar
```





### 开发过程中可以添加 jvm 参数来使用

![image-20220828123756596](http://pic.61dz.com/pic/image-20220828123756596.png)

